SDL_GetAudioDeviceGain(3)

NAME
SDL_GetAudioDeviceGain - Get the gain of an audio device.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_GetAudioDeviceGain(SDL_AudioDeviceID devid);

DESCRIPTION
The gain of a device is its volume; a larger gain means a louder output, with a gain of zero being silence.

Audio devices default to a gain of 1.0f (no change in output).

Physical devices may not have their gain changed, only logical devices, and this function will always return -1.0f when used on physical devices.

FUNCTION PARAMETERS

devid
    the audio device to query.

RETURN VALUE
Returns the gain of the device or -1.0f on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetAudioDeviceGain(3)